#include <string.h>
#include <stdio.h>

#include "../../emu/h/types.h"
#include "../../nes/h/nesGeneral.h"
#include "../../emu/h/emuFileHandling.h"

void setRegionMode(int regionNumber)
{
	nesMode = (nesMode & (-1 ^ regionModeAnd)) | regionNumber | resetLoop;
	brunNes = 0;
}

// You done need this unless your saving
void GetLocalPath(char *szFolder, char *szExt, char *szPath, int strSize)
{
	//Memory card doesnt need this
	/*
	strcpy(szPath, "");
	sprintf(szExt, "ss%d.rem", StateNum);

	GetLocalPath("states\\", szExt, szPath, sizeof(szPath));
	f = fopen(szPath, "wb");
	*/
}


int SetPrgChrMemory()
{
	prgromPtr	= new u8 [header.prg * 0x400 * 16];
	chrromPtr	= new u8 [header.chr * 0x400 * 8];
	return 0;
}

void deletePrgChrMemory()
{
	if (prgromPtr)
		delete [] prgromPtr;
	if (chrromPtr)
		delete [] chrromPtr;

	prgromPtr	= 0;
	chrromPtr	= 0;
}

void Msg(char *sz)
{
	 printf(sz);
}

void emuMsg(char *sz)
{
	Msg(sz);
}
